Page MenuHomePhabricator

Create Balinese Wikipedia
Closed, ResolvedPublic

Description

The Language committee approved the creation of the Balinese Wikipedia:

Request page: https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikipedia_Balinese_3
Language code: ban
Site URL: ban.wikipedia.org
Project name: Wikipédia
Project namespace: Wikipédia
Project talk namespace: Pabligbagan_Wikipédia
Project logo: https://commons.wikimedia.org/wiki/File:Wikipedia-logo-v2-ban.svg
Timezone: Asia/Makassar

Local file uploads: disabled

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd Balinese to interwiki sort orders
mediawiki/services/parsoid : masterUpdate wmf sitematrix (add banwiki)
mediawiki/extensions/WikimediaMessages : masterAdd Balinese Wikipedia
operations/mediawiki-config : masterAdd banwiki's logo to IS.php
operations/mediawiki-config : masterAdd banwiki to wikiversions.json
operations/mediawiki-config : masterInitial configuration for banwiki
operations/dns : masterAdd Balinese (ban) language

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptOct 6 2019, 9:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

banwiki, nice. Let me know when I can create the wiki.

Great! AFAIK we're just waiting on the logo, and then @Urbanecm can do his thing and we should be good to go. :-)

Thanks to you guys. Let me know if you need help with the translation. Thanks.

Urbanecm changed the status of subtask T234771: Localise Gadget aliases for ban from Stalled to Open.Oct 7 2019, 5:50 AM

Thanks to you guys. Let me know if you need help with the translation. Thanks.

Hi, see T234769 :).

Hi everyone, a spelling needs to be corrected for 'Project talk namespace: Pabligbagan_Wikipedia'. It should be 'Project talk namespace: Pabligbagan_Wikipédia', following the 'Project namespace: Wikipédia' where Wikipedia is written with a diacritic marker, Wikipédia.

jhsoby updated the task description. (Show Details)Oct 7 2019, 8:36 AM
jhsoby added a comment.Oct 7 2019, 9:04 AM

Hi everyone, a spelling needs to be corrected for 'Project talk namespace: Pabligbagan_Wikipedia'. It should be 'Project talk namespace: Pabligbagan_Wikipédia', following the 'Project namespace: Wikipédia' where Wikipedia is written with a diacritic marker, Wikipédia.

Thanks, I've updated that in the task description.

jhsoby updated the task description. (Show Details)Oct 7 2019, 9:04 AM
jhsoby added a comment.Oct 7 2019, 9:06 AM

I have added the logo to the task description, so that's all clear.

However, the main namespace translations are in https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/541109/ waiting to be merged – I don't know if we have to wait for that to be deployed on Wikimedia wikis, or if the change can be backported?

I have added the logo to the task description, so that's all clear.
However, the main namespace translations are in https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/541109/ waiting to be merged – I don't know if we have to wait for that to be deployed on Wikimedia wikis, or if the change can be backported?

Landing now. They'll ship in the train this week. Can this wait for Thursday? Otherwise I can backport it, but we don't normally re-run the i18n build given how expensive it is…

jhsoby added a comment.Oct 7 2019, 7:03 PM

I have added the logo to the task description, so that's all clear.
However, the main namespace translations are in https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/541109/ waiting to be merged – I don't know if we have to wait for that to be deployed on Wikimedia wikis, or if the change can be backported?

Landing now. They'll ship in the train this week. Can this wait for Thursday? Otherwise I can backport it, but we don't normally re-run the i18n build given how expensive it is…

No immediate rush, no. I mean, we've gotten used to waiting for months for new wikis, so waiting "until Thursday" is like sweet music to my ears. :-)

Koavf added a subscriber: Koavf.Oct 7 2019, 7:16 PM

Agreed. Not sure whom I can personally thank for this after waiting so long for (e.g.) nap.ws but thanks to whomever it is that is doing all this valuable work.

I would wait until next Monday given that train might get rolled back and other complications.

DNS records are missing. We can fix that for now.

Change 541356 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/dns@master] Add ban language

https://gerrit.wikimedia.org/r/541356

Change 541356 merged by Dzahn:
[operations/dns@master] Add Balinese (ban) language

https://gerrit.wikimedia.org/r/541356

Dzahn added a subscriber: Dzahn.Oct 7 2019, 9:51 PM

DNS records are missing. We can fix that for now.

done!

ban.wikipedia.org is an alias for dyna.wikimedia.org.

Change 541527 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for banwiki

https://gerrit.wikimedia.org/r/541527

Booked Monday after EU SWAT.

Dzahn triaged this task as High priority.Oct 11 2019, 5:28 PM
Dzahn awarded a token.

Change 541527 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for banwiki

https://gerrit.wikimedia.org/r/541527

Mentioned in SAL (#wikimedia-operations) [2019-10-14T12:19:59Z] <ladsgroup@deploy1001> Synchronized dblists: Creating banwiki: T234768 (duration: 00m 52s)

Change 542912 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/mediawiki-config@master] Add banwiki to wikiversions.json

https://gerrit.wikimedia.org/r/542912

Change 542912 merged by jenkins-bot:
[operations/mediawiki-config@master] Add banwiki to wikiversions.json

https://gerrit.wikimedia.org/r/542912

Mentioned in SAL (#wikimedia-operations) [2019-10-14T12:28:51Z] <ladsgroup@deploy1001> rebuilt and synchronized wikiversions files: Creating banwiki: T234768

Mentioned in SAL (#wikimedia-operations) [2019-10-14T12:31:16Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Creating banwiki: T234768 (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2019-10-14T12:32:43Z] <ladsgroup@deploy1001> Synchronized static/images/project-logos/: Creating banwiki: T234768 (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2019-10-14T12:34:34Z] <ladsgroup@deploy1001> Synchronized langlist: Creating banwiki: T234768 (duration: 00m 50s)

Ladsgroup closed this task as Resolved.Oct 14 2019, 12:43 PM
Ladsgroup claimed this task.

This is done now. Let me know if there's anything need to be done. For CX, Parsoid, Wikidata, and other things, please make a ticket.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptOct 14 2019, 12:43 PM

Change 542933 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add banwiki's logo to IS.php

https://gerrit.wikimedia.org/r/542933

Change 542933 merged by jenkins-bot:
[operations/mediawiki-config@master] Add banwiki's logo to IS.php

https://gerrit.wikimedia.org/r/542933

Mentioned in SAL (#wikimedia-operations) [2019-10-14T13:12:10Z] <Urbanecm> Run git reset --hard origin/master in /srv/mediawiki-stagging (deleted https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/542920 and https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/542919 from deployment srv, both don't actually change anything => safe to delete) (T234768)

Mentioned in SAL (#wikimedia-operations) [2019-10-14T13:13:53Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 245b4e5: Add banwiki logo to IS.php (T234768) (duration: 00m 51s)

Change 542936 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/services/parsoid@master] Update wmf sitematrix (add banwiki)

https://gerrit.wikimedia.org/r/542936

Change 542937 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[mediawiki/extensions/WikimediaMessages@master] Add Balinese Wikipedia to project names

https://gerrit.wikimedia.org/r/542937

Mentioned in SAL (#wikimedia-analytics) [2019-10-14T18:13:45Z] <joal> Manually add ban.wikipedia.org to pageview whitelist (T234768)

Change 542998 had a related patch set uploaded (by Joal; owner: Joal):
[analytics/refinery@master] Add ban.wikipedia to pageview whitelist

https://gerrit.wikimedia.org/r/542998

Change 542937 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add Balinese Wikipedia

https://gerrit.wikimedia.org/r/542937

Change 542936 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Update wmf sitematrix (add banwiki)

https://gerrit.wikimedia.org/r/542936

Change 544882 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[operations/mediawiki-config@master] Add Balinese to interwiki sort orders

https://gerrit.wikimedia.org/r/544882

Change 544882 merged by jenkins-bot:
[operations/mediawiki-config@master] Add Balinese to interwiki sort orders

https://gerrit.wikimedia.org/r/544882

Mentioned in SAL (#wikimedia-operations) [2019-10-23T11:22:26Z] <urbanecm@deploy1001> Synchronized wmf-config/InterwikiSortOrders.php: SWAT: e21054e: Add Balinese to interwiki sort orders (T234768) (duration: 01m 01s)